<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:pe="http://primefaces.org/ui/extensions"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form id="formMPE">
    	<h3 style="margin-top:0">Medida de Protección Excepcional</h3>
    	<p:separator></p:separator>
    	<p:panelGrid columns="1" cellpadding="2" rendered="#{intervencionExcepcionalMB.verObservacion()}" >
    	        <p:outputLabel for="obs" value="La Medida ha sido observada. Corrija los detalles y vuelva a enviarla :" />
           		<p:inputTextarea id="obs" value="#{intervencionExcepcionalMB.instance.observacionMedida}" readonly="true"
		            			rows="5" cols="128" style="background-color: #98c5d6; border-color:#98c5d6; color:#ffffff"/>
    	</p:panelGrid>
    	<p:separator></p:separator>
        <p:panelGrid id="panelMPE"  columns="3" cellpadding="2" >

       			<p:outputLabel for="iiLegajo" value="Legajo :"/>
       			<p:autoComplete  id="iiLegajo" queryDelay="1000" value="#{intervencionExcepcionalMB.instance.legajo}"  completeMethod="#{commonSelectorsMB.getAutoCompleteLegajo}" 
							 var="legajoVF" itemValue="#{legajoVF}" itemLabel="#{legajoVF.apellidoYNombre}" converter="legajoConverter" dropdown="true"
							 disabled="#{intervencionExcepcionalMB.legajoActivo}" 
							 readonly="#{!intervencionExcepcionalMB.puedeEditar()}" required="true">
				</p:autoComplete>
				<p:message  for="iiLegajo" display="icon"/>

	            <p:outputLabel for="iiZonal" value="Equipo Territorial Provincial :"/>
	       		<p:selectOneMenu id="iiZonal" value="#{intervencionExcepcionalMB.instance.zonal}" converter="zonalConverter" required="true"
	       				disabled="#{!intervencionExcepcionalMB.puedeEditar()}">
	           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	           		<f:selectItems value="#{intervencionExcepcionalMB.zonales}" var="zonal"
	                          itemValue="#{zonal}"
	                          itemLabel="#{zonal.nombre}"/>
	       		</p:selectOneMenu>
	       		<p:message  for="iiZonal" display="icon"/>
		            
		        <p:outputLabel for="iiFecha" value="Fecha : " />
				<p:calendar id="iiFecha" value="#{intervencionExcepcionalMB.instance.fecha}" 
					disabled="#{!intervencionExcepcionalMB.puedeEditar()}" showOn="button" 
					required="true" navigator="true">
					<p:ajax event="change" process="@this"/>
				</p:calendar>      
           		<p:message  for="iiFecha" display="icon"/>
           		
           		<p:outputLabel for="iiDerivador" value="Origen de la Demanda :"/>
           		<p:selectOneMenu id="iiDerivador" value="#{intervencionExcepcionalMB.instance.derivador}" 
           				converter="derivadorConverter" required="true" disabled="#{!intervencionExcepcionalMB.puedeEditar()}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{commonSelectorsMB.getDerivadores(intervencionExcepcionalMB.instance.derivador)}" var="der"
                              itemValue="#{der}"
                              itemLabel="#{der.descripcion}"/>
           		</p:selectOneMenu>
           		<p:message  for="iiDerivador" display="icon"/>
           		
           		<p:outputLabel for="iiTpoInter" value="Tipo de Intervención :"/>
           		<p:autoComplete id="iiTpoInter" queryDelay="1000" 
           				value="#{intervencionExcepcionalMB.instance.tipoIntervencion}" 
           				required="true"
           				disabled="#{!intervencionExcepcionalMB.puedeEditar()}"
           				completeMethod="#{commonSelectorsMB.getAutoCompleteTipoIntervencion}"
           				var="tipoIntVF" itemValue="#{tipoIntVF}"
           				itemLabel="#{tipoIntVF.descripcion}"
           				converter="tipoIntervencionConverter"
           				label="Tipo Intervención" dropdown="true">
           			<f:attribute name="filter" value="#{intervencionExcepcionalMB.instance.tipoIntervencion}" />
           			<f:attribute name="circ" value="MPE" />
           			<f:attribute name="soloCese" value="#{intervencionExcepcionalMB.cargarSoloCese()}"/>
           			<f:attribute name="soloInicia" value="#{intervencionExcepcionalMB.cargarSoloIniciaCirc()}"/>
                    <p:ajax event="itemSelect" listener="#{intervencionExcepcionalMB.onTipoIntervencionChange}" update="iiInforme,iiAttach,panelEAF" />
           		</p:autoComplete>
           		<p:message  for="iiTpoInter" display="icon"/>

				<h:panelGroup/>
				<h:panelGroup>
					<p:fileUpload fileUploadListener="#{intervencionExcepcionalMB.handleFileUpload}" mode="advanced" dragDropSupport="false"
	           			fileLimit="1" update="iiFileName" allowTypes="/(\.|\/)(doc|dotx|docx|docm|jpg|jpeg|gif|png|pdf)$/" id="iiAttach"
	           			disabled="#{!intervencionExcepcionalMB.instance.tipoIntervencion.puedeAdjuntarDoc}" 
	           			label="Seleccionar" uploadLabel="Subir"/>									
					
					<p:commandButton value="Descargar..." ajax="false" 
								onclick="PrimeFaces.monitorDownload(start, stop);" 
								icon="ui-icon-arrowthick-1-s" immediate="true"
								disabled="#{empty intervencionExcepcionalMB.instance.archivoAdjunto}">
	        				<p:fileDownload  value="#{intervencionExcepcionalMB.downloadFile(intervencionExcepcionalMB.instance.archivoAdjunto)}" />
	    			</p:commandButton>    				
    				
					<p:outputLabel id="iiFileName" value="  #{intervencionExcepcionalMB.instance.archivoAdjunto}"/>
				</h:panelGroup>
				<h:panelGroup/>
				
				<p:outputLabel value=""  />
				<p:accordionPanel id="panelEAF" activeIndex="#{intervencionExcepcionalMB.expandAlojamiento}">
				<p:tab title="Espacio de alojamiento formal">
				<h:panelGrid columns="2" >
						<p:outputLabel value="Ámbito de alojamiento de la medida"  />
						<p:selectOneMenu id="ambito" value="#{intervencionExcepcionalMB.instance.ambitoCumplimiento}"
								disabled="#{!intervencionExcepcionalMB.esPERInicial(intervencionExcepcionalMB.instance.tipoIntervencion)}" >
		               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		               		<f:selectItems value="#{commonSelectorsMB.getAmbitoCumplimiento()}" var="aC"
		                              itemValue="#{aC}"
		                              itemLabel="#{aC.descripcion}"/>
		                    <p:ajax event="change" update="flia inst comFliaAmp" listener="#{intervencionExcepcionalMB.cambiaAmbito()}"/>
           				</p:selectOneMenu>
           				
           				<p:outputLabel value="Institucion"  />
           				<p:selectOneMenu id="inst" value="#{intervencionExcepcionalMB.instance.institucion}"
								disabled="#{intervencionExcepcionalMB.instance.ambitoCumplimiento!='FORMAL'}" 
								converter="institucionConverter">
		               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		               		<f:selectItems value="#{commonSelectorsMB.getInstituciones()}" var="aC"
		                              itemValue="#{aC}"
		                              itemLabel="#{aC.nombre}"/>	
		                    <p:ajax event="change" update="flia" listener="#{intervencionExcepcionalMB.cambiaInstitucion()}"/>	                    
           				</p:selectOneMenu>
           				
           				<p:outputLabel value="Familia"  />
           				<p:selectOneMenu id="flia" value="#{intervencionExcepcionalMB.instance.familia}"
								converter="familiaConverter"
								disabled="#{intervencionExcepcionalMB.instance.ambitoCumplimiento!='FORMAL'}" >
		               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		               		<f:selectItems value="#{commonSelectorsMB.getFamilias()}" var="aC"
		                              itemValue="#{aC}"
		                              itemLabel="#{aC.identificacion}"/>
		                    <p:ajax event="change" update="inst" listener="#{intervencionExcepcionalMB.cambiaFamilia()}"/>
           				</p:selectOneMenu>
           				
           				<p:outputLabel value="Comentario Familia ampliada :"/>
		           		<p:inputTextarea id="comFliaAmp" value="#{intervencionExcepcionalMB.instance.txtFamiliaAmpliada}"  
	            			rows="5" cols="50" disabled="#{intervencionExcepcionalMB.instance.ambitoCumplimiento!='AMPLIADA'}"/>
				</h:panelGrid>
				</p:tab>
				</p:accordionPanel>
				<h:panelGroup/>
				
				<p:outputLabel for="iiCategoMotivoInte" value="Categoría Motivo Intervención :"/>
	       		<p:selectOneMenu id="iiCategoMotivoInte" value="#{intervencionExcepcionalMB.catMotIntSelected}" converter="categoriaMotivoIntervencionConverter"
	       				disabled="#{!intervencionExcepcionalMB.puedeEditar()}"
	       				valueChangeListener="#{intervencionExcepcionalMB.onCatMotivoIntChange}">
	           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	           		<f:selectItems value="#{commonSelectorsMB.getCategoriasMotivoIntervencion()}" var="cat"
	                          itemValue="#{cat}"
	                          itemLabel="#{cat.descripcion}"/>
	                <p:ajax update="@this iiMotInter" process="@this iiMotInter" />
	       		</p:selectOneMenu>
       			<p:message  for="iiCategoMotivoInte" display="icon"/>
				
           		<p:outputLabel for="iiMotInter" value="Motivo de Intervención :"/>
           		<p:selectOneMenu id="iiMotInter" value="#{intervencionExcepcionalMB.instance.motivoIntervencion}" 
           				converter="motivoIntervencionConverter" 
           				disabled="#{!intervencionExcepcionalMB.puedeEditar()}">
               		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
               		<f:selectItems value="#{intervencionExcepcionalMB.getMotivosIntervencion()}" var="motInter"
                              itemValue="#{motInter}"
                              itemLabel="#{motInter.descripcion}"/>
           		</p:selectOneMenu>
           		<p:message  for="iiMotInter" display="icon"/>
           		
           		<p:outputLabel value="Informe :"/>
           		<pe:ckEditor 
           			id="iiInforme" 
           			widgetVar="informeWidget" 
           			value="#{intervencionExcepcionalMB.instance.informe}"
           			width="800"
           			height="400"
           			 toolbar="[['Cut','Copy','Paste','PasteText','-','Format','Font','FontSize','-',
                                'Bold','Italic','Underline','Strike','Subscript','Superscript','-','NumberedList','BulletedList','-',
                                'JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock','-','BidiLtr','BidiRtl','-',
                                'TextColor','BGColor','-','Image','Link','Unlink','-','RemoveFormat']]"
           			disabled="#{!intervencionExcepcionalMB.puedeEditar()}"/>
           		<h:panelGroup/>
           		
        		<p:outputLabel for="estado" value="Estado :"
        			rendered="#{intervencionExcepcionalMB.isSupervisada()}"/>
           		<p:outputLabel id="estado"    style="font-weight:bold"
           			value="#{intervencionExcepcionalMB.instance.estadoSuperv.name}" 
           			rendered="#{intervencionExcepcionalMB.isSupervisada()}"/>
           		<h:panelGroup/>
           		
			</p:panelGrid>
           	<p:commandButton id="add" value="Guardar" action="#{intervencionExcepcionalMB.save}" ajax="false"
           		rendered="#{intervencionExcepcionalMB.puedeEditar()}"/>
         	<p:commandButton id="corregir" value="Corregir" action="#{intervencionExcepcionalMB.corregir}" ajax="false"
           		rendered="#{intervencionExcepcionalMB.mostrarCorregir()}"/>	
            <p:commandButton id="cancel" value="Cancelar" action="#{intervencionExcepcionalMB.cancel}" ajax="false"  immediate="true"/>
           	<p:commandButton id="aceptar" value="Aprobar" action="#{intervencionExcepcionalMB.aprobarMPE()}" ajax="false"
           		rendered="#{intervencionExcepcionalMB.puedeSuperv()}"/>
			<p:commandButton value="Observar" onclick="PF('dlgObs').show();"
				rendered="#{intervencionExcepcionalMB.puedeObservar()}">
    		</p:commandButton>  
    		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
		        <p:commandButton value="Guardar" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
    		</p:confirmDialog>         		
           	<p:commandButton id="rechazar" value="Rechazar" action="#{intervencionExcepcionalMB.rechazarMPE()}" ajax="false"
           		rendered="#{intervencionExcepcionalMB.puedeSuperv()}"/>  
    		<p:commandButton 
    			action="#{intervencionExcepcionalMB.imprimir()}" 
    			value="Imprimir Informe"  
    			icon="ui-icon-print" 
                ajax="false">
            </p:commandButton>
    		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
			 <p:dialog header="Complete la observacion" widgetVar="dlgObs" >
    				<h:panelGrid columns="1" >
    				<p:inputTextarea id="observacion" value="#{intervencionExcepcionalMB.instance.observacionMedida}"
		            			rows="5" cols="50" />
    				<p:commandButton value="Guardar y observar" action="#{intervencionExcepcionalMB.observarMPE()}" ajax="false" >
    				</p:commandButton>    
    				</h:panelGrid>
			</p:dialog>    
    </h:form>
	</ui:define>
</ui:composition>